* {
    /* stops padding from adding to the width/height of a div */
    box-sizing: border-box;
    
    /* does not allow user to select text so highlights don't
       happen accdentally on touchscreen */
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

@font-face {
    font-family: 'MrEavesXLSanOTHeavy';
    src: url('MrEavesXLSanOT-Heavy.woff2') format('woff2'),
        url('MrEavesXLSanOT-Heavy.woff') format('woff');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'MrEavesXLSanOTUltra';
    src: url('MrEavesXLSanOT-Ultra.woff2') format('woff2'),
        url('MrEavesXLSanOT-Ultra.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'MrEavesXLSanOT';
    src: url('MrEavesXLSanOT-Bold.woff2') format('woff2'),
        url('MrEavesXLSanOT-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'MrEavesXLSanOT';
    src: url('MrEavesXLSanOT-Reg.woff2') format('woff2'),
        url('MrEavesXLSanOT-Reg.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}




/* GENERAL STYLES */

body {
    /* DO NOT REMOVE */
    margin: 0;
    background: #000;
    overflow: hidden;
    
    /* main font styles - use your brand font */
    font-family: Arial, sans-serif;
    color: #FFF;
}

main, section {
    position: absolute;
    width: 1920px;
    height: 1080px;
    overflow: hidden;
}

main {
    /* DO NOT REMOVE */
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    
    /* background styles */
    background-color: #4b7492;
    background-image: url(../images/background.jpg);
}

#screen-saver-container {
    z-index: 10000;
}

/* header elements */
#main-title {
    position: absolute;
    top: 40px;
    left: 100px;
    width: 1100px;
    height: auto;
    z-index: 9500;
}

#logo {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 399px;
    height: auto;
    z-index: 9500;
}

#instructions {
    position: absolute;
    top: 110px;
    left: 100px;
    font-size: 20px;
}

#adjust {
    position: absolute;
    top: 50px;
    left: 570px;
    font-size: 20px;
    z-index: 10;
}


/* STYLES FOR OUTFIT SCREEN */

#main-title {
    position: absolute;
    left: 1345px;
    top: 0px;
}

#instructions {
    position: absolute;
    top: 40px;
    left:590px;
    z-index: 10;
}


#outfit-tray {
    position: absolute;
    left: 575px;
    bottom: -4px;
    opacity: 0.9;
}

#outfit-tray-two {
    position: absolute;
    bottom: -5px;
    opacity: 0.9;
}

#info-tray-two {
    position: absolute;
    right: 0;
    bottom: -5px;
    opacity: 0.9;
}

#instruct-tray {
    position: absolute;
    top: 537px;
    left: 0px;
    opacity: 0.9;
    width: 20%;
}

#instruct-tray-two {
    position: absolute;
    top: -2px;
    right: 0px;
    opacity: 0.9;
}

#brand-tray {
    position: absolute;
    left: 0px;
    top: 273px;
    opacity: 0.9;
}
/* 
#brand-tray-two {
    position: absolute;
    right: 0px;
    top: 0px;
    opacity: 0.9;
} */

#gender-title {
    /* DO NOT REMOVE */
    position: absolute;

    /* title styles */
    bottom:2%;
    left: 47%;
    font-family: "abadi", sans-serif;
    font-weight: 700;
    font-style: normal;
    font-size: 3rem;

}

.trans-left {
    text-align: center;
}

.item-tray {
    position: absolute;
}

#head-tray {
    left: 1400px;
    top: -5px;
}

#torso-tray {
    left: 1400px;
    top: 220px;
}

#legs-tray {
    left: 1400px;
    top: 480px;
}

#feet-tray {
    left: 1400px;
    top: 750px;
}



/* main outfit container */
#outfit-images {
    position: absolute;
    top: 150px;
    left: 510px;
    width: 550px;
    height: 750px;
    overflow: hidden;
    /* background-color: rgba(1, 56, 73, 0.3); */
    /* outline: #53575A solid 3px */
    transform: scale(1.4);
    
}

.swiper-slide {
    /* should match body images widths below */
    width: 800px;
    
    /* REMOVE once images have been set up - temporary screen text styles
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px; */
}

.swiper-container {
    /* border-bottom: 1.5px solid #53575A; */
}

.swiper-container:nth-child(4) {
    border-bottom: none;
}

/* SLIDER SIZES... height and width can be changed */
#head-image {
    width: 800px;
    height: 170px;
}

#torso-image {
    width: 800px;
    height: 189px;
}

#legs-image {
    width: 800px;
    height: 234px;
}

#feet-image {
    width: 800px;
    height: 155px;
}


/* BUTTON STYLES */

/* for all buttons on both screens */
.btn {
    /* border: solid 1px #FFF; */
    /* border-radius: 20px; */
    /* padding: 10px 20px; */
    color: #FFF;
}

/* style change on click/tap */
.btn:active, .print-receipt-active {
    /* background-color: #FFF; */
    border: solid 1px transparent;
    color: #4b7492;
}

.btn:hover {
    /* DO NOT REMOVE OR CHANGE */
    cursor: default;
}

/* for all buttons */
.outfit-btns {
    position: absolute;
    bottom: 10px;
    width: 180px;
    text-align: center;
}

.left-btn {
    position: absolute;
    /* top: 455px; */
    /* margin-bottom: 95px; */
    /* background-color: #3CB4E5; */
    padding: 20px;
    font-size: 1.2rem;
    color: #fff;
    z-index: 2;
    /* font-weight:bold; */
}

/* for individual buttons on outfit screen */
/* #gender-btn {
    top: 923px;
    left: 280px;
    width: 108px;
    height: 108px;
}

#next-btn {
    top: 812px;
    left: 284px;
}

#random-btn {
    top: 693px;
    left: 287px;
    z-index: 2;
}

#side-btn {
    top: 590px;
    left: 290px;
    z-index: 2;
} */

#side-btn-tray {
    position: absolute;
    top: 485px;
    left: 442px;
    width: 108px;
    height: auto;
}

#side-btn-tray:nth-of-type(2) {
    position: absolute;
    top: 620px;
    left: 442px;
    width: 108px;
    height: auto;
}

#side-btn-tray:nth-of-type(3) {
    position: absolute;
    top: 756px;
    left: 448px;
    width: 108px;
    height: auto;
}

#side-btn-tray:nth-of-type(4) {
    position: absolute;
    top: 891px;
    left: 476px;
    width: 108px;
    height: auto;
}

/* style for larger buttons */
#order-btn {
    right: 8px;
    width: 450px;
    font-size: 3rem;
    /* background-color: #005677; */
    font-family: "abadi", sans-serif;
    font-weight: 700;
    font-style: normal;
    /* font-weight: bold; */
    bottom: 20px;
    /* padding: 15px 0; */
}

#order-tray {
    position: absolute;
    bottom: -6px;
    right: -5px;
}


/* OUTFIT INFORMATION STYLES */

/* info containers */
.info {
    /* DO NOT REMOVE */
    position: absolute;
    
    left: 1400px;
    width: 800px;
    padding-top:50px;
    margin-bottom:100px;
}

/* product titles */
.info h2 {
    margin: 0;
    font-family: "abadi", sans-serif;
    font-weight: 700;
    font-style: normal;
    font-size: 1.8rem;
}

/* product descriptions */
.info p {
    font-size: 20px;
    font-family: "abadi", sans-serif;
    font-weight: 400;
    font-style: normal;
}

/* indivdual title/descriptions */
#head-info {
   top: 0px;
   left: 1503px;
}

#torso-info {
    top: 240px;
    left: 1503px;
}

#legs-info {
    top: 495px;
    left: 1503px;
}

#feet-info {
    top: 745px;
    left: 1503px;
}

.item-line {
    position: absolute;
}

#head-line {
    left: 1132px;
    top: 94px;
}

#torso-line {
    left: 1171px;
    top: 325px;
}

#leg-line {
    left: 1137px;
    top: 598px;
}

#feet-line {
    left: 1163px;
    top: 829px;
}


/* SHOPPING CART STYLES */

#cart {
    /* DO NOT REMOVE */
    z-index: 9000;
    display: none;
    
    /* background styles - must be solid to cover outfit screen */
    background: #4b7492;
    background-image: url(../images/background.jpg);
}

/* close cart/return button */
#close-cart {
    left: 70px;
    width: 300px;
    padding: 20px;
    background-color: #3CB4E5;
    font-family: "abadi", sans-serif;
    font-weight: 700;
    font-style: normal;
    font-size: 1.2rem;
    bottom: 35px;
}

/* selected products list */
#products {
    position: absolute;
    width: 1200px;
    top: 260px;
    left: 70px;
    overflow: auto;
    font-family: "abadi", sans-serif;
    font-weight: 400;
    font-style: normal;
}

/* row styles */
#products .row {
    display: flex;
    flex-direction: row;
    width: 1180px;
    /* border: solid 2px #53575A; */
    padding: 15px;
    margin-bottom: 20px;
    border-radius: 15px;
    background-color: rgba(1, 56, 73, 0.3);
    /* transform: skewX(-3deg); */
}

#products .row:nth-of-type(3) {
    width: 1180px;
}

#products .row:nth-of-type(4) {
    width: 1180px;
}

#products .row:nth-of-type(5) {
    width: 1180px;
}

#products .row:hover {
    /* DO NOT REMOVE OR CHANGE */
    cursor: default; 
}

/* header row style */
/* #products .column-labels {
    border: none;
    padding-bottom: 0;
    
    font-size: 120%;
    font-weight: bold;
} */

#products .column-labels {
    background-color: transparent;
    /* justify-content: flex-end; */
    gap: 20px;
    font-family: "abadi", sans-serif;
    font-weight: 700;
    font-style: normal;
    font-size: 1.5rem;
}

#products .column-labels .column.image{
    margin-right: 290px;
}



/* column styles */
#products .column {
    margin-right: 10px;
}

#products .column h2 {
    font-family: 'MrEavesXLSanOT-Heavy';
    margin: 0;
}

/* product image styles */
#products .image {
    width: 100px;
    height: 100px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    border: solid 1px #FFF;
}

#products .image img {
    height: 100%;
    width: auto;
}

/* removes image styles from column label row */
#products .column-labels .image {
    height: auto;
    overflow: auto;
    border: none;
}

/* product description styles */
#products .title-desc {
    width: 25%;
}

#products .title-desc h2 {
    margin-bottom: 0;
}

#products .title-desc p  {
    margin-top: 5px;
    padding: 0 8px;
}

/* product size styles */
#products .size {
    width: 25%;
    display: flex;
    flex-wrap: wrap;
}

#products .size-select {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 50px;
    height: 50px;
    padding: 5px;
    margin-right: 10px;
    margin-bottom: 10px;
    opacity: 0.5;
    transition: all 1s;
    
    background-color: #FF8D6B;
    color: #fff;
}

#products .size-select:nth-child(n+5) {
    margin-bottom: 0;
}

#products .size-select-active {
    opacity: 1;
}

#products .size-select:last-child {
    margin-right: 0;
}

/* product colour styles */
#products .colour {
    width: 25%;
    display: flex;
    flex-wrap: wrap;
}

#products .colour-select {
    width: 50px;
    height: 50px;
    margin-right: 10px;
    margin-bottom: 10px;
    opacity: 0.5;
    transition: all 1s;
    
    border: solid 1px transparent;
}

#products .colour-select:nth-child(n+5) {
    margin-bottom: 0;
}

#products .colour-select-active {
    opacity: 1;
    
    border: solid 1px #FFF;
}

#products .colour-select:last-child {
    margin-right: 0;
}

/* product price styles */
#products .price {
    width: 10%;
    
    font-size: 120%;
    font-weight: bold;
}

#products .column-labels .price {
    font-size: 100%;
}

/* remove product row style */
#products .remove {
    width: 5%;
    margin-right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    
    font-size: 150%;
    font-weight: bold;
}

/* styles for summary/total list */
#total-print {
    position: absolute;
    width: 400px;
    top: 261px;
    right: 100px;
    overflow: auto;
    
    border-bottom: solid 1px #FFF;
    padding: 15px;  
    font-family: "abadi", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 18px;
}

#total-print h1 {
    margin-top: 0;
    font-size: 200%;
}

#total-print hr {
    border-width: 0;
    height: 1px;
    background-color: #FFF;
}

#total-print span {
    float: right;
}

#total-print h2 {
    margin-bottom: 0;
}

/* selected products styles */
#selection div {
    overflow: auto;
}

#selection h3 {
    margin-bottom: 0;
}

#selection p {
    margin-top: 0;
}

/* styles for print button */
#print-receipt-btn {
    right: 150px;
    width: 300px;

    /* position: relative; */
    margin-bottom: 30px;
    background-color: #005677;
    padding: 20px;
    font-family: "abadi", sans-serif;
    font-weight: 700;
    font-style: normal;
    font-size: 1.2rem;
    color: #fff;
}

/* checkout steps screen */
#checkout-steps {
    width: 1920px;
    height: 1080px;
    z-index: 9800;
    display: none;
}

/* idle timer warning */
#warning {
    z-index: 9900;
    display: none;
}

#content {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: inline-block;
    font-size: 1.5em;
    padding: 100px;
    text-align: center;
    background-color: #FF8D6B;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    font-family:'MrEavesXLSanOTUltra';
}

#content h2 {
    margin-top: 0;
}

#content h3 {
    margin-bottom: 0;
}